# CbcRowCuts Class Reference

`#include <CbcCountRowCut.hpp>`

Collaboration diagram for CbcRowCuts:
[legend]

List of all members.

## Public Member Functions
| CbcRowCuts (int initialMaxSize=0, int hashMultiplier=4)
| ~CbcRowCuts ()
| CbcRowCuts (const CbcRowCuts &rhs)
CbcRowCuts & | operator= (const CbcRowCuts &rhs)
OsiRowCut2 * | cut (int sequence) const
int | numberCuts () const
int | sizeRowCuts () const
OsiRowCut * | rowCutPtr (int sequence)
void | eraseRowCut (int sequence)
int | addCutIfNotDuplicate (const OsiRowCut &cut, int whichType=0)
int | addCutIfNotDuplicateWhenGreedy (const OsiRowCut &cut, int whichType=0)
void | addCuts (OsiCuts &cs)
## Private Attributes
OsiRowCut2 ** | rowCut_
CoinHashLink * | hash_
| Hash table.
int | size_
int | hashMultiplier_
int | numberCuts_
int | lastHash_

## Detailed Description

Definition at line 134 of file CbcCountRowCut.hpp.

## Constructor & Destructor Documentation

CbcRowCuts::CbcRowCuts | ( | int | initialMaxSize = `0`,
|  | int | hashMultiplier = `4` |
| ) |  |  |

CbcRowCuts::~CbcRowCuts | ( |  | ) |

CbcRowCuts::CbcRowCuts | ( | const CbcRowCuts & | rhs | ) |

## Member Function Documentation

CbcRowCuts& CbcRowCuts::operator= | ( | const CbcRowCuts & | rhs | ) |

OsiRowCut2* CbcRowCuts::cut | ( | int | sequence | ) | const`[inline]`

Definition at line 141 of file CbcCountRowCut.hpp.

int CbcRowCuts::numberCuts | ( |  | ) | const`[inline]`

Definition at line 143 of file CbcCountRowCut.hpp.

int CbcRowCuts::sizeRowCuts | ( |  | ) | const`[inline]`

Definition at line 145 of file CbcCountRowCut.hpp.

OsiRowCut* CbcRowCuts::rowCutPtr | ( | int | sequence | ) | `[inline]`

Definition at line 147 of file CbcCountRowCut.hpp.

void CbcRowCuts::eraseRowCut | ( | int | sequence | ) |

int CbcRowCuts::addCutIfNotDuplicate | ( | const OsiRowCut & | cut,
|  | int | whichType = `0` |
| ) |  |  |

int CbcRowCuts::addCutIfNotDuplicateWhenGreedy | ( | const OsiRowCut & | cut,
|  | int | whichType = `0` |
| ) |  |  |

void CbcRowCuts::addCuts | ( | OsiCuts & | cs | ) |

## Member Data Documentation

OsiRowCut2** CbcRowCuts::rowCut_`[private]`

Definition at line 157 of file CbcCountRowCut.hpp.

CoinHashLink* CbcRowCuts::hash_`[private]`

Hash table.

Definition at line 159 of file CbcCountRowCut.hpp.

int CbcRowCuts::size_`[private]`

Definition at line 160 of file CbcCountRowCut.hpp.

int CbcRowCuts::hashMultiplier_`[private]`

Definition at line 161 of file CbcCountRowCut.hpp.

int CbcRowCuts::numberCuts_`[private]`

Definition at line 162 of file CbcCountRowCut.hpp.

int CbcRowCuts::lastHash_`[private]`

Definition at line 163 of file CbcCountRowCut.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcCountRowCut.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines